%==================================================================
%
%	CalcCalcSpec.m
%
%	Markus Junghoefer	[1995]
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
%
%
%
%	Function definition
%
	function [Data] = CalcCalcSpec(Data,CH_CALCCALCSPEC)

%
%
%=================================================================
if nargin<2; CH_CALCCALCSPEC=[]; end;
if nargin<1; return; end;

global CH_CALCCALCSPEC
if exist('CH_CALCCALCSPEC')~=1; CH_CALCCALCSPEC=[]; end
[CH_CALCCALCSPEC]=IfEmptyInputBo(['Do you want to make your own calculations ?'],['(use the file CalcCalcSpec.m)'],CH_CALCCALCSPEC,0,1);
if ~CH_CALCCALCSPEC; return; end
if CH_CALCCALCSPEC
	Data(:,98)=-Data(:,98);
	fprintf('Invert channel 98 !\n');
	pause(2);
end

return;
